using System;
using System.Xml;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class CustomerDetails : System.Web.UI.UserControl
{
    private XmlDocument _xmlDocument = new XmlDocument();
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    public void LoadCustomerDetails(string customerCode)
    {
        string dataFile = Server.MapPath("~/Data/Customers.XML");
        _xmlDocument.Load(dataFile);
        XmlNodeList nodeList = _xmlDocument.GetElementsByTagName("Customer");
        if (nodeList != null)
        {
            lblCustomerID.Text = customerCode.ToUpper();
            foreach (XmlNode node in nodeList)
            {
                if (node.Attributes["CustomerID"] != null)
                {
                    if (node.Attributes["CustomerID"].Value.ToUpper() == customerCode.ToUpper())
                    {
                        if (node.Attributes["CompanyName"] != null)
                            lblCompanyName.Text = node.Attributes["CompanyName"].Value.ToString();
                        else
                            lblCompanyName.Text = "&nbsp;";

                        if (node.Attributes["ContactName"] != null)
                            lblContactName.Text = node.Attributes["ContactName"].Value.ToString();
                        else
                            lblContactName.Text = "&nbsp;";

                        if (node.Attributes["ContactTitle"] != null)
                            lblContactTitle.Text = node.Attributes["ContactTitle"].Value.ToString();
                        else
                            lblContactTitle.Text = "&nbsp;";

                        if (node.Attributes["Address"] != null)
                            lblAddress.Text = node.Attributes["Address"].Value.ToString();
                        else
                            lblAddress.Text = "&nbsp;";

                        if (node.Attributes["City"] != null)
                            lblCity.Text = node.Attributes["City"].Value.ToString();
                        else
                            lblCity.Text = "&nbsp;";

                        if (node.Attributes["PostalCode"] != null)
                            lblPostalCode.Text = node.Attributes["PostalCode"].Value.ToString();
                        else
                            lblPostalCode.Text = "&nbsp;";

                        if (node.Attributes["Country"] != null)
                            lblCountry.Text = node.Attributes["Country"].Value.ToString();
                        else
                            lblCountry.Text = "&nbsp;";

                        if (node.Attributes["Phone"] != null) 
                            lblPhone.Text = node.Attributes["Phone"].Value.ToString();
                        else
                            lblPhone.Text = "&nbsp;";

                        if (node.Attributes["Fax"] != null) 
                            lblFax.Text = node.Attributes["Fax"].Value.ToString();
                        else
                            lblFax.Text = "&nbsp;";
                        return;
                    }
                }

            }
        }
        throw new NullReferenceException("Unable to Match Customer ID");
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
       // TextBox1.Text = DateTime.Now.ToLongTimeString();
    }
}
